org.apache.felix.ipojo.composite.service.provides

## Class MethodMetadata

- java.lang.Object
- - org.apache.felix.ipojo.composite.service.provides.MethodMetadata

    public class MethodMetadata
    extends java.lang.Object

Information on Method for the composition.

Author:
  Felix Project Team

### Field Summary

Fields
`static int` `ALL_POLICY` ALL POLICY.
`static int` `ONE_POLICY` ONE POLICY.

### Constructor Summary

Constructors
Constructor and Description
`MethodMetadata(java.lang.reflect.Method method)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object object)` Equals method.
`FieldMetadata` `getDelegation()`
`java.lang.reflect.Method` `getMethod()`
`int` `getPolicy()`
`int` `hashCode()` Hash code method.
`void` `setAllPolicy()` Activate the all policy for this method.
`void` `setDelegation(FieldMetadata field)`
`protected boolean` `throwsUnsupportedOperationException()` Check if the method can throw UnsupportedOperationException.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ONE_POLICY

    public static final int ONE_POLICY

ONE POLICY.

See Also:
  Constant Field Values

#### ALL_POLICY

    public static final int ALL_POLICY

ALL POLICY.

See Also:
  Constant Field Values

### Constructor Detail

#### MethodMetadata

    public MethodMetadata(java.lang.reflect.Method method)

Constructor.

Parameters:
  `method` - : method object.

### Method Detail

#### getMethod

    public java.lang.reflect.Method getMethod()

#### setDelegation

    public void setDelegation(FieldMetadata field)

#### getDelegation

    public FieldMetadata getDelegation()

#### equals

    public boolean equals(java.lang.Object object)

Equals method. This method check if two MethodMetadata are equals or if the current MemethodMetadata is equals with a Method object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `object` - : object.
Returns:
  true if the current object and the given object are equals.
See Also:
  `Object.equals(java.lang.Object)`

#### hashCode

    public int hashCode()

Hash code method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the parent hash code.
See Also:
  `Object.hashCode()`

#### getPolicy

    public int getPolicy()

#### setAllPolicy

    public void setAllPolicy()

Activate the all policy for this method.

#### throwsUnsupportedOperationException

    protected boolean throwsUnsupportedOperationException()

Check if the method can throw UnsupportedOperationException.

Returns:
  true if the method has declared the UnsupportedOperationException.